#
# Conditional build:
%bcond_without	python2		# Python 2.x module
%bcond_without	python3		# Python 3.x module
#
%define	module	ago
#
Summary:	Makes customizable human readable timedeltas
Summary(pl.UTF-8):	Konfigurowalne, czytelne dla człowieka różnice czasu
Name:		python-ago
Version:	0.0.6
Release:	15
License:	Public Domain
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/ago/
Source0:	https://files.pythonhosted.org/packages/source/a/ago/ago-%{version}.tar.gz
# Source0-md5:	e2fdc21fb922b4fc21ec19c6eac6bd46
Patch0:		ago-python3.patch
URL:		https://bitbucket.org/russellballestrini/ago/overview
%if %{with python2}
BuildRequires:	python-devel
BuildRequires:	python-modules
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-2to3
BuildRequires:	python3-devel
BuildRequires:	python3-modules
BuildRequires:	python3-setuptools
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Makes customizable human readable timedeltas.

%description -l pl.UTF-8
Konfigurowalne, czytelne dla człowieka różnice czasu.

%package -n python3-%{module}
Summary:	Makes customizable human readable timedeltas
Summary(pl.UTF-8):	Konfigurowalne, czytelne dla człowieka różnice czasu
Group:		Libraries/Python
Requires:	python3-modules

%description -n python3-%{module}
Makes customizable human readable timedeltas.

%description -n python3-%{module} -l pl.UTF-8
Konfigurowalne, czytelne dla człowieka różnice czasu.

%prep
%setup -q -n ago-%{version}
%patch0 -p1

%build
%if %{with python2}
%py_build
%endif

%if %{with python3}
%py3_build
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
install -d $RPM_BUILD_ROOT%{_examplesdir}/python-%{module}-%{version}
%py_install
%endif

%if %{with python3}
install -d $RPM_BUILD_ROOT%{_examplesdir}/python3-%{module}-%{version}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc PKG-INFO README.rst
%{_examplesdir}/python-%{module}-%{version}
%{py_sitescriptdir}/%{module}.py*
%{py_sitescriptdir}/*egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc PKG-INFO README.rst
%{_examplesdir}/python3-%{module}-%{version}
%{py3_sitescriptdir}/%{module}.py*
%{py3_sitescriptdir}/__pycache__/ago.cpython-*.py*
%{py3_sitescriptdir}/*egg-info
%endif
%changelog
* Wed Mar 30 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-ago.git;a=log;h=master

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 41c985f
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 5010c18
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> ed933c0
- rebuild with python 3.10

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 10dc078
- release 12 (by relup.sh)

* Mon Oct 28 2019 Jakub Bogusz <qboosh@pld-linux.org> d7095d1
- BR: python-setuptools

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> c710a8c
- rebuild with python 3.8
- release 11 (by relup.sh)

* Mon Jul 02 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 4793ec0
- release 10 (by relup.sh)

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 2a5b654
- python 3.7 rebuild
- release 9 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 4d5b27e
- python 3.6
- release 8 (by relup.sh)

* Sat May 07 2016 Jan Rękorajski <baggins@pld-linux.org> 64f46c8
- use rpm python macros
- rel 7

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 8147809
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> da8d3cb
- release 6 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 6a4e6f7
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> cd5a18d
- python3.5 rebuild
- release 5 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> fe01376
- python 3.5 rebuild
- release 4 (by relup.sh)

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> b1d8dc0
- python 3.4
- release 3 (by relup.sh)

* Thu Apr 10 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 89529fe
- rel 2; correctly calculate for python3

* Thu Feb 27 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 63e3554
- up to 0.0.6

* Fri Feb 14 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 5c5bbe9
- initial

